Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model
Interface IPropertyDescription

All Known Subinterfaces:
  IRegistrationPropertyDescription

    public interface IPropertyDescription

Property description

This interface is intended to be implemented only by BEA Weblogic Portal. BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`ILocalizedString` | `getHint()` Optional hint
`Class<?>` | `getJavaType()` Java type of the property.
`ILocalizedString` | `getLabel()` Optional label
`String` | `getName()` Name of the property
`QName` | `getXmlType()` XML type of the property.
`boolean` | `isModifiable()` Is this property modifiable
`boolean` | `isRequired()` Is this property required
`void` | `setModifiable(boolean modifiable)` Set whether the property is modifiable
`void` | `setRequired(boolean required)` Sets whether the property is required

Method Detail

### getName

    String getName()

  Name of the property

  Returns
    name

### getLabel

    ILocalizedString getLabel()

  Optional label

  Returns
    label

### getHint

    ILocalizedString getHint()

  Optional hint

  Returns
    hint

### getJavaType

    Class<?> getJavaType()

  Java type of the property. May be a String, Calendar, Boolean, Integer, or Float. Returns null if the type is unknown.

  Returns
    type

### getXmlType

    QName getXmlType()

  XML type of the property.

  Returns
    type

### isModifiable

    boolean isModifiable()

  Is this property modifiable

  Returns
    true if modifiable

### setModifiable

    void setModifiable(boolean modifiable)

  Set whether the property is modifiable

  Parameters
    `modifiable` - is the property modifiable

### isRequired

    boolean isRequired()

  Is this property required

### setRequired

    void setRequired(boolean required)

  Sets whether the property is required

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved